% create filters bank

filters=[];
for iScale=1:nScaleGabor
    f = MakeFilter(GaborScaleList(iScale),numOrient);
    for i=1:numOrient
     f_r{i} =real(f{i});
     f_i{i} =imag(f{i});
    end
    
    filters = [filters f_r f_i];
end


for iScale=1:nScaleDoG

    f0 = single(dog(DoGScaleList(iScale),0));
    filters = [filters f0];

end


halfFilterSizes = zeros(size(filters));
for iF = 1:numFilter
    filters{iF} = single(filters{iF});
    halfFilterSizes(iF)=(size(filters{iF},1)-1)/2;
end

storeFiltersBankName = [working_add '/storeFiltersBank.mat'];
save(storeFiltersBankName, 'filters', 'halfFilterSizes', 'numFilter', ...
                    'nScaleGabor', 'nScaleDoG');
